/*!
 * \file archiveMaker.cpp
 * \brief This file is used create archive file.
 * Copyright (C) 2011-2013 Nippon Telegraph and Telephone Corporation
 *
 * [License]
 *
 * $id$
 */

#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <sys/wait.h>
#include <string.h>

#include "archiveMaker.hpp"
#include "util.hpp"

/*!
 * \brief TArchiveMaker constructor.
 */
TArchiveMaker::TArchiveMaker(void) {
  
  /* Clear target path. */
  memset(sourcePath, 0, sizeof(sourcePath));
}

/*!
 * \brief TArchiveMaker destructor.
 */
TArchiveMaker::~TArchiveMaker(void) {
  /* Do Nothing. */
}

/*!
 * \brief Setting target file path.
 * \param targetPath [in] Path of archive target file.
 */
void TArchiveMaker::setTarget(char const* targetPath) {
  strncpy(sourcePath, targetPath, PATH_MAX);
}

/*!
 * \brief Clear archive file data.
 */
void TArchiveMaker::clear(void) {
  memset(sourcePath, 0, sizeof(sourcePath));
}

/*!
 * \brief Getting target file path.
 * \return Path of archive target file.
 */
char const *TArchiveMaker::getTarget(void) {
  return sourcePath;
}

