/*
 * SnapShotEntriesModel.java
 * Created on 2011/10/13
 * RCSID: $Id:$
 *
 * Copyright (C) 2011-2013 Nippon Telegraph and Telephone Corporation
 *
 */

package jp.co.ntt.oss.heapstats.gui;

import javax.swing.table.DefaultTableModel;

/**
 * This is a list of objects that implement the SnapShot Data.
 */
public class SnapShotEntriesModel extends DefaultTableModel {
    /** serialVersionUID. */
    static final long serialVersionUID = 4812984028125164228L;

    /** Table Header. */
    private static final String[] TABLE_HEADER = {"",
            GuiCommon.getResources().getString(GuiCommon.OBJECTLIST_NAME),
            GuiCommon.getResources().getString(GuiCommon.OBJECTLIST_INSTANCE),
            GuiCommon.getResources().getString(GuiCommon.OBJECTLIST_SIZE)};

    /**
     * Constructs a DefaultTableModel with as many columns as there are elements
     * in columnNames and rowCount of null object values.
     */
    public SnapShotEntriesModel() {
        super(TABLE_HEADER, 0);
    }

    @Override
    public final Class<?> getColumnClass(final int columnIndex) {
        if (columnIndex != 1) {
            return Long.class;
        } else {
            return String.class;
        }
    }

    @Override
    public final Object getValueAt(final int row, final int column) {
        Object obj = super.getValueAt(row, column);

        return obj;
    }
}
